MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000102Xdebug(No Category)public2004-11-15 16:522004-11-15 18:52
Reporterspooker 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000102: Unable to configure debugclient on Suse 9.1
DescriptionAfter running buildconf the configure script is breaking with the following message:
./configure: line 6251: syntax error near unexpected token `;;'
./configure: line 6251: ` PTHREAD_FLAGS="-D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT";;'
Additional Informationbuildconf output:
buildconf: checking installation...
buildconf: autoconf version 2.59 (ok)
buildconf: Your version of autoconf likely contains buggy cache code.
           Running cvsclean for you.
           To avoid this, install autoconf-2.13 and automake-1.5.
buildconf: automake version 1.8.3 (ok)
buildconf: libtool version 1.5.2 (ok)
buildconf: bison version 1.875 (ok)
rebuilding aclocal.m4
build/threads.m4:33: warning: underquoted definition of PTHREADS_FLAGS
  run info '(automake)Extending aclocal'
  or see http://sources.redhat.com/automake/automake.html#Extending%20aclocal [^]
build/threads.m4:69: warning: underquoted definition of PTHREADS_CHECK_COMPILE
build/threads.m4:104: warning: underquoted definition of PTHREADS_CHECK
build/threads.m4:153: warning: underquoted definition of PTHREADS_ASSIGN_VARS
acinclude.m4:19: warning: underquoted definition of XDEBUG_MODULE_ADD
acinclude.m4:31: warning: underquoted definition of XDEBUG_HELP_SEPARATOR
acinclude.m4:39: warning: underquoted definition of XDEBUG_SSL_CHECK
/usr/share/aclocal/avifile.m4:21: warning: underquoted definition of AM_PATH_AVIFILE
/opt/gnome/share/aclocal/gst-element-check-0.6.m4:7: warning: underquoted definition of AM_GST_ELEMENT_CHECK
rebuilding configure
configure.in:69: warning: file `build/threads.m4' included several times
configure.in:1: error: possibly undefined macro: dnl
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure:6278: error: possibly undefined macro: AC_MSG_ERROR
rebuilding config_h.in
configure.in:69: warning: file `build/threads.m4' included several times
rebuilding Makefile templates
   ./Makefile.in
TagsNo tags attached.
Operating SystemLinux -- Suse 9.1
PHP Version4.3.9
Attached Files

- Relationships

-  Notes
(0000210)
derick (administrator)
2004-11-15 16:58

Try the following patch:

Index: configure.in
===================================================================
RCS file: /repository/xdebug/debugclient/configure.in,v
retrieving revision 1.3
diff -u -p -r1.3 configure.in
--- configure.in 30 Oct 2003 08:16:14 -0000 1.3
+++ configure.in 15 Nov 2004 15:57:46 -0000
@@ -66,11 +66,6 @@ AC_CHECK_LIB(socket, socket)

 AC_CHECK_FUNCS(strerror strtol strtoul)

-sinclude(build/threads.m4)
-PTHREADS_CHECK
-PTHREADS_ASSIGN_VARS
-PTHREADS_FLAGS
-
 dnl
 dnl Debug section:
 dnl



and run:
rm configure && ./buildconf
again
(0000211)
spooker (reporter)
2004-11-15 17:25

Yes, removing those lines fixed the problem, configured and compiled correctly
(0000212)
derick (administrator)
2004-11-15 18:52

Fixed in CVS.

- Issue History
Date Modified Username Field Change
2004-11-15 16:52 spooker New Issue
2004-11-15 16:58 derick Note Added: 0000210
2004-11-15 17:25 spooker Note Added: 0000211
2004-11-15 18:52 derick Status new => closed
2004-11-15 18:52 derick Note Added: 0000212
2016-07-31 13:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 13:35 derick Category debugclient (debugging tool) => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker